import { ComponentInterface } from "../../../stencil-public-runtime";
export declare class AppJobNew implements ComponentInterface {
  referring: boolean;
  locationId: string;
  to: string;
  name: string;
  onSuccess(event: any): Promise<void>;
  onBeforeSubmit(formData: any): {
    templateId: string;
    from: string;
    emails: any;
    data: {
      firstName: any;
      url: string;
      partner: {
        id: string;
        name: string;
        company: string;
        title: string;
        phone: string;
        location: string;
      };
    };
  };
  componentDidLoad(): void;
  render(): any[];
}
